#ifndef TANK_H
#define TANK_H

#include "../data_config.h"

class Tank {
public:
    int x = 0, y = 0;
    int hp = 5, attack = 1;
    Direction dir = UP;
    bool isTaken = false;

    Tank(int h = 5, int a = 1);
};

inline int dx(Direction d) { return d == LEFT ? -1 : (d == RIGHT ? 1 : 0); }
inline int dy(Direction d) { return d == UP ? -1 : (d == DOWN ? 1 : 0); }

#endif
